diff -uNrd -x CVS ircd-ratbox-1.4-2/doc/bcnet.sample.conf bcnet-ircd-1.2.2/doc/bcnet.sample.conf
--- ircd-ratbox-1.4-2/doc/bcnet.sample.conf	Wed Dec 31 19:00:00 1969
+++ bcnet-ircd-1.2.2/doc/bcnet.sample.conf	Sun May  9 10:35:57 2004
@@ -0,0 +1,1042 @@
+/* BCNet-IRCd-1.0.0 Sample Config
+ * Done by wassup
+ * Most documentation taken from sample ratbox sample config
+ * Small amount of documentation taken from freeworld sample config
+ */
+
+/* IMPORTANT NOTES:
+ *
+ * class {} blocks MUST be specified before anything that uses them.  That
+ * means they must be defined before auth {} and before connect {}.
+ *
+ * auth {} blocks MUST be specified in order of precedence.  The first one
+ * that matches a user will be used.  So place spoofs first, then specials,
+ * then general access, then restricted.
+ *
+ * Both shell style (#) and C style comments are supported.
+ *
+ * Files may be included by either:
+ *        .include "filename"
+ *        .include <filename>
+ *
+ * Times/durations are written as:
+ *        12 hours 30 minutes 1 second
+ *        
+ * Valid units of time:
+ *        month, week, day, hour, minute, second
+ *
+ * Valid units of size:
+ *        megabyte/mbyte/mb, kilobyte/kbyte/kb, byte
+ *
+ * Sizes and times may be singular or plural.  
+ */
+
+/* serverinfo {}:  Contains information about the server. (OLD M:) */
+serverinfo {
+	/* name: the name of our server */
+	name = "sample.server";
+
+	/* description: the description of our server.  '[' and ']' may not
+	 * be used here for compatibility with older servers.
+	 */
+	description = "Sample Server";
+
+	/* network info: the name and description of the network this server
+	 * is on.  Shown in the 005 reply and used with serverhiding.
+	 */
+	network_name = "TestNet";
+	network_desc = "Test Servers";
+
+	/* hub: allow this server to act as a hub and have multiple servers
+	 * connected to it.
+	 */
+	hub = yes;
+
+	/* vhost: the IP to bind to when we connect outward to ipv4 servers.
+	 * This should be an ipv4 IP only.
+	 */
+	#vhost = "192.169.0.1";
+
+	/* vhost6: the IP to bind to when we connect outward to ipv6 servers.
+	 * This should be an ipv6 IP only.
+	 */
+	#vhost6 = "3ffe:80e8:546::2";
+
+	/* rsa key: the path to the file containing our rsa key for cryptlink.
+	 *
+	 * Example command to store a 2048 bit RSA keypair in
+	 * rsa.key, and the public key in rsa.pub:
+	 * 
+	 * 	openssl genrsa -out rsa.key 2048
+	 *	openssl rsa -in rsa.key -pubout -out rsa.pub
+	 *	chown <ircd-user>.<ircd.group> rsa.key rsa.pub
+	 *	chmod 0600 rsa.key
+	 *	chmod 0644 rsa.pub
+	 */
+     #rsa_private_key_file = "/home/alex/bcnet-ircd/rsa.key";
+
+    /* SSL certificate file, used for client SSL connections
+     *
+     * To create a new certificate file use this:
+     * openssl req -new -x509 -days 730 -config /etc/ssl/openssl.cnf -key rsa.key -out cert.pem
+     */
+    #ssl_certificate_file = "/home/alex/bcnet-ircd/cert.pem";
+
+    /* Certification Authority certificate file, used to sign
+     * ssl_certificate_file. Shouldn't be used if certificate
+     * is self-signed
+     */
+    #ssl_ca_certificate_file = "/home/alex/bcnet-ircd/ca.pem";
+
+};
+
+/* admin {}: contains admin information about the server. (OLD A:) */
+admin {
+	name = "Smurf target";
+	description = "Main Server Administrator";
+	email = "<syn@packets.r.us>";
+};
+	
+/* logging {}: contains information about logfiles. */
+logging {
+	/* log level: the amount of detail to log in ircd.log.  The
+	 * higher, the more information is logged.  May be changed
+	 * once the server is running via /quote SET LOG.  Either:
+	 * L_CRIT, L_ERROR, L_WARN, L_NOTICE, L_TRACE, L_INFO or L_DEBUG
+	 */
+	log_level = L_INFO;
+
+	/* logfiles: the logfiles to use for user connects, /oper uses,
+	 * and failed /oper.  These files must exist for logging to be used.
+	 */
+	fname_userlog = "logs/userlog";
+	fname_operlog = "logs/operlog";
+	fname_foperlog = "logs/foperlog";
+};
+
+/* class {}: contain information about classes for users (OLD Y:) */
+class "users" {
+	/* You can either put the class name here or with the class itself
+	/* name: the name of the class.  classes are text now */
+	/* name = "users"; */
+
+	/* ping time: how often a client must reply to a PING from the
+	 * server before they are dropped.
+	 */
+	ping_time = 2 minutes;
+
+        /* number per ident: the number of users per user@host networkwide
+         * allowed to connect.  Unidented connections are classified as
+         * the same ident.
+         */
+        number_per_ident = 2;
+
+	/* number per ip: the number of local users per host allowed */
+	number_per_ip = 3;
+
+        /* number per ip global: the number of network wide connections
+         * per host allowed for a user, including connections to the
+         * local server.
+         */
+        number_per_ip_global = 5;
+
+	/* number per cidr: the number of local connections from the
+	 * CIDR bitlen allowed.  If the server is compiled with ipv6, 96
+	 * must be added to the bitlen for ipv4 connections.
+	 */
+	number_per_cidr = 30;
+	cidr_bitlen = 24;
+
+	/* max number: the maximum number of users allowed in this class */
+	max_number = 100;
+
+	/* sendq: the amount of data allowed in a clients queue before
+	 * they are dropped.
+	 */
+	sendq = 100 kbytes;
+};
+
+class "restricted" {
+	ping_time = 1 minute 30 seconds;
+	number_per_ip = 1;
+	max_number = 100;
+	sendq = 60kb;
+};
+
+class "opers" {
+	ping_time = 5 minutes;
+	number_per_ip = 10;
+	max_number = 100;
+	sendq = 100kbytes;
+};
+
+class "server" {
+	ping_time = 5 minutes;
+
+	/* connectfreq: only used in server classes.  specifies the delay
+	 * between autoconnecting to servers.
+	 */
+	connectfreq = 5 minutes;
+
+	/* max number: the amount of servers to autoconnect to */
+	max_number = 1;
+
+	/* sendq: servers need a higher sendq as they send more data */
+	sendq=2 megabytes;
+	
+	/* sendq eob: servers sendq after a burst has finished */
+	sendq_eob = 1024 kbytes;
+};
+
+/* listen {}: contain information about the ports ircd listens on (OLD P:) */
+listen {
+	/* port: the specific port to listen on.  if no host is specified
+	 * before, it will listen on all available IPs.
+	 *
+	 * ports are seperated via a comma, a range may be specified using ".."
+	 */
+	
+	/* port: listen on all available IPs, ports 5000 and 6665 to 6669 */
+	port = 5000, 6665 .. 6669;
+
+	/* host: set a specific IP/host the ports after the line will listen 
+	 * on.  This may be ipv4 or ipv6.
+	 */
+	host = "1.2.3.4";
+	port = 7000, 7001;
+
+	#host = "3ffe:1234:a:b:c::d";
+	#port = 7002;	
+};
+
+/* auth {}: allow users to connect to the ircd (OLD I:) */
+auth {
+	/* user: the user@host allowed to connect.  multiple IPv4/IPv6 user 
+	 * lines are permitted per auth block.
+	 */
+	user = "*@172.16.0.0/12";
+	user = "*test@123D:B567:*";
+
+        /* encrypted: specifies whether the password below is encrypted
+         * or not.  MD5 is supported, default is not encrypted
+         */
+        #encrypted = yes;
+
+	/* password: an optional password that is required to use this block */
+	password = "letmein";
+	
+	/* spoof: fake the users user@host to be be this.  You may either
+	 * specify a host or a user@host to spoof to.  This is free-form,
+	 * just do everyone a favour and dont abuse it. (OLD I: = flag)
+	 */
+        spoof = "I.still.hate.packets";
+
+        /* Possible flags in auth:
+         *
+         * spoof_notice                | give a notice when spoofing this host
+         * exceed_limit  (old > flag)  | allow user to exceed class user limits
+         * kline_exempt  (old ^ flag)  | exempt this user from k/g/xlines
+         * gline_exempt  (old _ flag)  | exempt this user from glines
+	   * spambot_exempt		   | exempt this user from spambot checks
+         * flood_exempt                | exempt this user from flood limits
+         *                                     USE WITH CAUTION
+         * no_tilde      (old - flag)  | don't prefix ~ to username if no ident
+         * need_ident    (old + flag)  | require ident for user in this class
+         * restricted                  | prevent user from sending mode changes
+         * mask		               | mask hosts in this block
+         */
+	flags = kline_exempt, exceed_limit;
+
+	/* class: the class the user is placed in */
+	class = "opers";
+};
+
+auth {
+	/* redirect: the server and port to redirect a user to.  A user does
+	 * not have to obey the redirection, the ircd just suggests to them
+	 * an alternative server.
+	 */
+	redirserv = "irc.fi";
+	redirport = 6667;
+	
+	user = "*.fi";
+
+	/* class: a class is required even though it is not used */
+	class = "users";
+};
+
+auth {
+	user = "*@*";
+	class = "users";
+	flags = mask;
+};
+
+/* operator "opername" {}: defines ircd operators. (OLD O:)
+ * ircd-ratbox no longer supports local operators, privileges are
+ * controlled via flags.
+ */
+operator "god" {
+
+	/* user: the user@host required for this operator.  CIDR is not
+	 * supported.  multiple user="" lines are supported.
+	 */
+	user = "*god@*";
+	user = "*@127.0.0.1";
+
+        /* encrypted: specifies whether the password below is encrypted
+         * or not.  default is encrypted.
+         */
+        #encrypted = no;
+
+	/* password: the password required to oper.  Unless encrypted=no;
+         * this will need to be encrypted using mkpasswd, MD5 is
+         * supported
+	 */
+	password = "etcnjl8juSU1E";
+
+	/* rsa key: the public key for this oper when using Challenge.
+	 * A password should not be defined when this is used, see 
+	 * doc/challenge.txt for more information.
+	 */
+	#rsa_public_key_file = "/usr/local/ircd/etc/oper.pub";
+
+	/* class: the class the oper joins when they successfully /oper */
+	class = "opers";
+
+	/* privileges: controls the activities and commands an oper are 
+	 * allowed to do on the server.  All options default to no.
+	 * Available options:
+	 *
+	 * local_kill:   allows local users to be /KILL'd
+	 * global_kill:  allows local and remote users to  (OLD 'O' flag)
+	 *               be /KILL'd
+	 * remote:       allows remote SQUIT and CONNECT   (OLD 'R' flag)
+	 * kline:        allows KILL, KLINE and DLINE      (OLD 'K' flag)
+	 * unkline:      allows UNKLINE and UNDLINE        (OLD 'U' flag)
+	 * gline:        allows GLINE                      (OLD 'G' flag)
+         * xline:        allows user to XLINE/UNXLINE
+	 * nick_changes: allows oper to see nickchanges    (OLD 'N' flag)
+	 *               via usermode +n
+	 * rehash:       allows oper to REHASH config      (OLD 'H' flag)
+	 * die:          allows DIE and RESTART            (OLD 'D' flag)
+         * operwall:     allows viewing/use of OPERWALL
+	 * admin:        gives admin privileges.  admins
+	 *               may (un)load modules etc.
+	 * hidden_admin: gives admin privileges except
+	 *		 will not have the admin lines in
+	 *		 stats p and whois.
+	 * oper_spy:     give access to operspy tools, if loaded
+	 */
+
+        flags = global_kill, remote, kline, unkline, gline,
+                die, rehash, admin, xline, operwall;
+
+        /* or in the old format */
+/*	global_kill = yes;
+ *      remote = yes;
+ *      kline = yes;
+ *      unkline = yes;
+ *      gline = yes;
+ *      die = yes;
+ *      rehash = yes;
+ *      nick_changes = yes;
+ *      admin = yes;
+ */
+};
+
+/* connect "servername" {}: controls servers we connect to (OLD C:, N:, H:, L:) */
+connect "irc.uplink.com" {
+
+	/* host: the host or IP to connect to.  If a hostname is used it
+	 * must match the reverse dns of the server.
+	 */
+	host = "192.168.0.1";
+
+	/* vhost: the host or IP to bind to for this connection.  If this
+	 * is not specified, the default vhost (in serverinfo {}) is used.
+	 * This works for both IPv4 and IPv6, providing the aftype is correct.
+	 */
+	# vhost = "192.168.0.50";
+
+	/* passwords: the passwords we send (OLD C:) and accept (OLD N:).
+	 * The remote server will have these passwords reversed.
+	 */
+	send_password = "password";		# OLD C:
+	accept_password = "anotherpassword";	# OLD N:
+
+	/* encrypted: controls whether the accept_password above has been
+	 * encrypted.  (OLD CRYPT_LINK_PASSWORD now optional per connect)
+	 */
+	encrypted = no;
+
+	/* port: the port to connect to this server on (OLD P:) */
+	port = 6666;
+
+	/* hub mask: the mask of servers that this server may hub. Multiple
+	 * entries are permitted (OLD H:)
+	 */
+	hub_mask = "*";
+
+	/* leaf mask: the mask of servers this server may not hub.  Multiple
+	 * entries are permitted.  Useful for forbidding EU -> US -> EU routes.
+         * (OLD L:)	
+         */
+	#leaf_mask = "*.uk";
+
+	/* class: the class this server is in */
+	class = "server";
+
+	/* autoconnect: controls whether we autoconnect to this server or not,
+	 * dependent on class limits.
+	 */
+	autoconn = no;
+	
+	/* compressed: controls whether traffic is compressed via ziplinks.
+	 * By default this is disabled (OLD c: (lowercased))
+	 */
+	#compressed = yes;
+
+	/* topicburst: controls whether topics are burst over this link.
+	 * by default this is disabled
+	 */
+	topicburst = yes;
+
+	/* masking: the servername we pretend to be when we connect */
+	#fakename = "*.arpa";
+};
+
+connect "encrypted.auth.example" {
+	host = "some.host.somewhere";
+	port = 6667;
+
+	/* cryptlink: enable full encryption for all data passing between our
+	 * server and this link and rsa authentication.
+	 */
+	cryptlink = yes;
+
+	/* rsa key: the path to the public keyfile of the server.  Used instead
+	 * of passwords.
+	 */
+	rsa_public_key_file = "etc/remote.server.keyfile";
+
+	/* cipher preference: set the preferred cipher for this link
+	 *
+	 * Available ciphers are:
+	 *      BF/256 BF/128 CAST/128 IDEA/128 RC5.16/128 
+	 *      RC5.12/128 RC5.8/128 3DES/168 DES/56
+	 *
+	 * NOTE:  Some ciphers may not be supported by your OpenSSL.
+	 *        Check the output from 'configure' for available ciphers.
+	 * 
+	 * NOTE2: To help you decide what cipher to use, tools/encspeed
+	 *        will show you approximately how fast each cipher is.
+	 *        However, blowfish is fast and secure, and is probably
+	 *        a good default for most situations.
+	 *
+	 * NOTE3: Default if none is set is BF/128
+	 *
+	 * The cipher *MUST* be the same in both directions.  If you
+	 * set a cipher preference, your uplink must set the same cipher,
+	 * else it will not link.
+	 */
+	#cipher_preference = "BF/256";
+};
+
+connect "ipv6.some.server" {
+        host = "3ffd:dead:beef::1";
+        send_password = "password";
+        accept_password = "password";
+        port = 6666;
+
+	/* aftype: controls whether the connection uses "ipv4" or "ipv6".
+	 * Default is ipv4.
+	 */
+	aftype = ipv6;
+        class = "server";
+};
+
+/* cluster {}; servers that have klines/unklines/locops shared automatically
+ * (OLD hyb6 SLAVE_SERVERS)
+ */
+cluster {
+	/* name: the server to share with, this can be a wildcard */
+	/* NOTE: clustering is only done for actions by LOCAL opers, so the
+	 * action will only be clustered to the servers that the originating
+	 * server has set as such.
+	 */
+	name = "*.lan";
+
+	/* type: list of what to share, options:
+	 *    kline   - share klines
+	 *    unkline - share unklines
+	 *    locops  - share locops
+	 *    xline   - share xlines
+	 *    unxline - share unxlines
+	 *    resv    - share resvs
+	 *    unresv  - share unresvs
+	 *    all     - share all of the above
+	 */
+	type = kline, unkline, locops;
+};
+
+/* shared {}: users that are allowed to remote kline (OLD U:) 
+ *
+ * EFnet Note: This can be effectively used for remote klines.
+ *             Please note that there is no password authentication
+ *             for users setting remote klines.  You must also be
+ *             /oper'd in order to issue a remote kline. 
+ */
+shared {
+	/* name: the server the user must be on to set klines.  If this is not
+	 * specified, the user will be allowed to kline from all servers.
+	 */
+	name = "irc2.some.server";
+
+	/* user: the user@host mask that is allowed to set klines.  If this is
+	 * not specified, all users on the server above will be allowed to set
+	 * a remote kline.
+	 */
+	user = "oper@my.host.is.spoofed";
+
+        /* type: list of what to share, options:
+	 *    kline   - allow oper/server to kline (default)
+	 *    unkline - allow oper/server to unkline
+	 *    xline   - allow oper/server to xline/unxline
+	 *    resv    - allow oper/server to resv/unresv
+	 *    all     - allow oper/server to do all of above
+	 */
+	type = kline, unkline;
+};
+
+/* kill {}: users that are not allowed to connect (OLD K:)
+ * Oper issued klines will be added to the specified kline config
+ */
+kill {
+	user = "bad@*.hacked.edu";
+	reason = "Obviously hacked account";
+};
+
+/* deny {}: IPs that are not allowed to connect (OLD D:) (before DNS/ident
+ * lookup) Oper issued dlines will be added to the specified dline config
+ */
+deny {
+	ip = "10.0.1.0/24";
+	reason = "Reconnecting vhosted bots";
+};
+
+/* exempt {}: IPs that are exempt from deny {} and Dlines. (OLD d:) 
+ *
+ * EFnet Note: exempt {} blocks are NOT hidden, so do NOT exempt
+ *             EFnet server IP's.
+ */
+exempt {
+	ip = "192.168.0.0/16";
+};
+
+/* resv {}: nicks and channels users may not use/join (OLD Q:) */
+resv {
+        /* reason: the reason for the proceeding resv's */
+        reason = "There are no services on this network";
+
+	/* resv: the nicks and channels users may not join/use */
+	nick = "nickserv";
+	nick = "chanserv";
+        nick = "operserv";
+        nick = "JUPES";
+        nick = "JUPE";
+        nick = "CH?NF?X"; 		# CHANFIX (services.int)
+        /* These are totally optional, but may be a good idea */
+	nick = "oper";
+	nick = "ircop";
+	nick = "op";
+	nick = "ident";
+	nick = "pass";
+	channel = "#jupedchan";
+
+	/* resv: wildcard masks are also supported in nicks only */
+	reason = "Clone bots";
+	nick = "clone*";
+};
+
+/* gecos {}:  The X: replacement, used for banning users based on their
+ * "realname".  The action may be either:
+ *      warn:   allow client to connect, but send message to opers
+ *      reject: drop clients but also send message to opers.
+ *      silent: silently drop clients who match.
+ */
+gecos {
+	name = "*sex*";
+	reason = "Possible spambot";
+	action = warn;
+};
+
+gecos {
+	name = "sub7server";
+	reason = "Trojan drone";
+	action = reject;
+};
+
+gecos {
+	name = "*http*";
+	reason = "Spambot";
+	action = silent;
+};
+
+/* The channel block contains options pertaining to channels */
+channel {
+	/* invex: Enable/disable channel mode +I, a n!u@h list of masks
+	 * that can join a +i channel without an invite.
+ 	 * 
+	 * EFNet Note: This MUST be run on efnet
+         */
+	use_invex = yes;
+
+	/* except: Enable/disable channel mode +e, a n!u@h list of masks
+	 * that can join a channel through a ban (+b).
+	 *
+       * EFNet Note: This MUST be run on efnet
+       */
+	use_except = yes;
+
+	/* knock: Allows users to request an invite to a channel that
+	 * is locked somehow (+ikl).  If the channel is +p or you are banned
+	 * the knock will not be sent.
+	 *
+       * EFnet Note:  As this feature is used by European servers, but
+       *              not North American ones, it has been left enabled
+       *              by default.  Please feel free to disable this
+       *              if you do not want to run channel knock.
+       */
+	use_knock = no;
+
+	/* knock delay: The amount of time a user must wait between issuing
+	 * the knock command.
+	 */
+	knock_delay = 5 minutes;
+
+	/* knock channel delay: How often a knock to any specific channel
+	 * is permitted, regardless of the user sending the knock.
+	 */
+	knock_delay_channel = 1 minute;
+
+	/* max chans: The maximum number of channels a user can join/be on. */
+	max_chans_per_user = 10;
+
+      /* quiet on ban: stop banned people talking in channels. */
+      quiet_on_ban = yes;
+
+      /* max bans: maximum number of +b/e/I modes in a channel */
+	/* EFNET approved 100 at 01/08/03 */
+      max_bans = 50;
+
+        /* splitcode: the ircd will check every 10s as to whether splitmode
+	 * should be disabled or not, so there may be a delay between a
+	 * netsplit ending and splitmode ending.
+	 *
+	 * both split users and split servers must be true to enter splitmode
+	 * 
+	 * you may force splitmode to be permanent by /quote set splitmode on
+	 */
+
+	/* split users: when the usercount is lower than this level, consider
+	 * ourselves split.  this must be set for automatic splitmode
+	 */
+	default_split_user_count = 0;
+
+	/* split servers: when the servercount is lower than this, consider
+	 * ourselves split.  this must be set for automatic splitmode
+	 */
+	default_split_server_count = 0;
+
+	/* split delay: the amount of time after the netsplit ends to come
+	 * out of splitmode.  0 disables.
+	 */
+	default_split_delay = 15 seconds;
+
+	/* split no create: disallow users creating channels on split */
+	no_create_on_split = no;
+
+	/* split: no join: disallow users joining channels at all on a split */
+	no_join_on_split = no;
+
+      /* no oper resvs: allow opers to join/talk through channel jupes */
+      no_oper_resvs = yes;
+
+	/* burst topicwho: when bursting topics, also burst the topic setter
+	 * NOTE: on efnet this will add about 500k-1mb to a burst.
+	 */
+	burst_topicwho = yes;
+};
+
+
+/* The serverhide block contains the options regarding serverhiding */
+serverhide {
+	/* flatten links: this option will show all servers in /links appear
+	 * that they are linked to this current server
+  	 * 	
+       * EFnet Note:  While this is not a requirement on EFnet, it
+       *              may be a good idea. 
+ 	 */
+	flatten_links = yes;
+
+	/* links delay: how often to update the links file when it is
+	 * flattened.
+	 */
+	links_delay = 5 minutes;
+
+	/* hidden: hide this server from a /links output on servers that
+	 * support it.  this allows hub servers to be hidden etc.
+	 */
+      hidden = no;
+
+	/* disable hidden: prevent servers hiding themselves from a
+	 * /links ouput.
+	 */
+	disable_hidden = no;
+
+	/* hide servers: hide remote servernames everywhere and instead use
+	 * network_name and network_desc.
+	 */
+	hide_servers = no;
+
+	/* disable remote: disable users doing commands on remote servers */
+	disable_remote_commands = no;
+
+	/* disable local channels: prevent users from joining &channels.
+	 * This is extreme, but it is still a flaw in serverhide.  It will
+	 * however remove far more from users than it will give back in
+	 * security.
+	 */
+	disable_local_channels = yes;
+};
+
+/* The general block contains many of the options that were once compiled
+ * in options in config.h.  The general block is read at start time.
+ */
+general {	
+	/* hide error messages: defines whether error messages from
+	 * servers are hidden or not.  These can sometimes contain IPs and
+	 * can have an adverse effect on server ip hiding.  Set to:
+	 *     yes:   hide from opers and admin
+	 *     opers: hide from opers only
+	 *     no:    do not hide error messages
+	 */
+	hide_error_messages = no;
+
+        /*
+         * default_operstring: defines the default oper response
+         * in /whois queries, eg "is an IRC Operator"
+         */
+	default_operstring = "is an IRC Operator";
+
+	/* default_adminstring: defines the default admin response
+	 * in /whois queries, eg "is a Server Administrator"
+	 */
+	default_adminstring = "is a Server Administrator";
+
+        /* tkline_expire_notices: give a notice to opers when a tkline
+         * expires
+         */
+      tkline_expire_notices = yes;
+
+	/* reject time: the amount of rejections through klines/dlines etc
+	 * allowed in the given time before the rejection is cached and
+	 * a pseudo temp dline is placed
+	 */
+	reject_ban_time = 1 minute;
+	reject_after_count = 3;
+
+	/* reject duration: the amount of time to cache the rejection */
+	reject_duration = 5 minutes;
+
+	/* floodcount: the default value of floodcount that is configurable
+	 * via /quote set floodcount.  This is the amount of lines a user
+	 * may send to any other user/channel in one second.
+	 */
+      default_floodcount = 6;
+
+	/* failed oper notice: send a notice to all opers on the server when 
+	 * someone tries to OPER and uses the wrong password, host or ident.
+	 */
+	failed_oper_notice = yes;
+
+	/* dots in ident: the amount of '.' characters permitted in an ident
+	 * reply before the user is rejected.
+	 */
+	dots_in_ident=2;
+
+     /* dot in ipv6: ircd-hybrid-6.0 and earlier will disallow hosts 
+	* without a '.' in them.  this will add one to the end.  only needed
+	* for older servers.
+	*/
+      dot_in_ip6_addr = no;
+
+     /* min nonwildcard: the minimum non wildcard characters in k/d/g lines
+	* placed via the server.  klines hand placed are exempt from limits.
+	* wildcard chars: '.' '*' '?' '@'
+	*/
+	min_nonwildcard = 2;
+
+	/* min nonwildcard simple: the minimum non wildcard characters in
+	 * xlines/resvs placed via the server.
+	 * wildcard chars: '*' '?'
+	 */
+	min_nonwildcard_simple = 3;
+
+      /* max accept: maximum allowed /accept's for +g usermode */
+      max_accept = 20;
+
+	/* nick flood: enable the nickflood control code */
+	anti_nick_flood = yes;
+
+	/* nick flood: the nick changes allowed in the specified period */
+	max_nick_time = 60 seconds;
+	max_nick_changes = 5;
+
+      /* anti spam time: the minimum time a user must be connected before
+	 * custom quit messages are allowed.
+	 */
+      anti_spam_exit_message_time = 5 minutes;
+
+	/* ts delta: the time delta allowed between server clocks before
+	 * a warning is given, or before the link is dropped.  all servers
+	 * should run ntpdate/rdate to keep clocks in sync
+	 */
+	ts_warn_delta = 30 seconds;
+	ts_max_delta = 5 minutes;
+
+	/* client exit: prepend a users quit message with "Client exit: " */
+	client_exit = yes;
+
+	/* kline reason: show the user the reason why they are k/d/glined 
+	 * on exit.  may give away who set k/dline when set via tcm.
+	 */
+	kline_with_reason = yes;
+
+	/* kline connection closed: make the users quit message on channels
+	 * to be "Connection closed", instead of the kline reason.
+	 */
+	kline_with_connection_closed = no;
+
+	/* kline delay: delay the checking of klines until a specified time.
+	 * This is useful for the large kline lists that appear on efnet
+	 * and can cause the ircd to stall.
+	 */
+	kline_delay = 0 seconds;
+
+	/* non redundant klines: flag and ignore redundant klines */
+	non_redundant_klines = yes;
+
+	/* warn no nline: warn opers about servers that try to connect but
+	 * we dont have a connect {} block for.  Twits with misconfigured 
+	 * servers can get really annoying with this enabled.
+	 */
+	warn_no_nline = yes;
+
+	/* stats o oper only: make stats o (opers) oper only */
+	stats_o_oper_only=yes;
+
+	/* stats P oper only: make stats P (ports) oper only
+	 * NOTE: users doing stats P will never be given the ips that the 
+	 * server listens on, simply the ports.
+	 */
+	stats_P_oper_only=yes;
+
+	/* stats c opy only: make stats c (connect {}) oper only */
+	stats_c_oper_only=yes;
+
+	/* stats h oper only: make stats h (hub_mask/leaf_mask) oper only */
+	stats_h_oper_only=yes;
+
+	/* stats y oper only: make stats y (class {}) oper only */
+	stats_y_oper_only=yes;
+
+	/* stats i oper only: make stats i (auth {}) oper only. set to:
+	 *     yes:    show users no auth blocks, made oper only.
+	 *     masked: show users first matching auth block
+	 *     no:     show users all auth blocks.
+	 */
+	stats_i_oper_only=yes;
+
+	/* stats k/K oper only: make stats k/K (klines) oper only.  set to:
+	 *     yes:    show users no auth blocks, made oper only
+	 *     masked: show users first matching auth block
+	 *     no:     show users all auth blocks.
+	 */
+	stats_k_oper_only=yes;
+
+	/* map oper only: make MAP oper only. */
+	map_oper_only = yes;
+
+	/* caller id wait: time between notifying a +g user that somebody
+	 * is messaging them.
+	 */
+	caller_id_wait = 1 minute;
+
+	/* pace wait simple: time between use of less intensive commands
+	 * (HELP, remote WHOIS, WHOWAS)
+	 */
+	pace_wait_simple = 2 second;
+
+	/* pace wait: time between more intensive commands
+	 * (ADMIN, INFO, LIST, LUSERS, MOTD, STATS, VERSION)
+	 */
+	pace_wait = 10 seconds;
+
+	/* short motd: send clients a notice telling them to read the motd
+	 * instead of forcing a motd to clients who may simply ignore it.
+	 */
+	short_motd = no;
+
+	/* ping cookies: require clients to respond exactly to a ping command,
+	 * can help block certain types of drones and FTP PASV mode spoofing.
+	 */
+	ping_cookie = no;
+
+	/* connect timeout: sets how long we should wait for a connection
+	 * request to succeed
+	 */
+	connect_timeout = 30 seconds;
+
+      /* disable auth: disables identd checking */
+	disable_auth = no;
+
+	/* no oper flood: increase flood limits for opers. */
+	no_oper_flood = yes;
+
+        /* use_whois_actually: send clients requesting a whois a numeric
+         * giving the real IP of non-spoofed clients to prevent DNS abuse.
+         */
+	use_whois_actually = no;
+
+	/* glines: enable glines, network wide temp klines 
+         *
+         * EFnet Note: This feature is required for European EFnet servers
+         *             and is used by several North American servers.  As
+         *             such, it has been left on by default.  If you
+         *             do not want your server to participate in G:Lines
+         *             you should disable this.  
+         */
+	glines = yes;
+
+	/* gline time: the amount of time a gline will remain before exiring */
+	gline_time = 2 day;
+
+	/* gline_min_cidr: If using a CIDR gline, the minimum length the 
+         * mask must be
+         */
+	gline_min_cidr = 16;
+
+	/* idletime: the maximum amount of time a user may idle before
+	 * they are disconnected, 0 disables
+	 */
+      idletime = 0;
+
+	/* REMOVE ME.  The following line checks you've been reading. */
+	havent_read_conf = 1;
+
+	/* max targets: the maximum amount of targets in a single 
+	 * PRIVMSG/NOTICE.  set to 999 NOT 0 for unlimited.
+	 */
+	max_targets = 50;
+
+	/* client flood: maximum number of lines in a clients queue before
+	 * they are dropped for flooding.
+	 */
+	client_flood = 20;
+
+        /* use help: whether an improved help system per command is available
+         * to users.  If this is disabled, users will just be shown a command
+         * list.
+         *
+         * EFNET NOTE: It is not recommended you enable this due to the method
+         * of reading help files.
+         */
+      use_help = yes;
+
+	/* message locale: the default message locale if gettext() is enabled
+	 * and working.
+	 * Use "custom" for the (in)famous Hybrid custom messages.
+	 * Use "standard" for the compiled in defaults.
+	 */
+	message_locale = "custom";
+
+	/* usermodes configurable: a list of usermodes for the options below
+	 *
+	 * +b - bots       - See bot and drone flooding notices
+	 * +c - cconn      - Client connection/quit notices
+	 * +d - debug      - See debugging notices
+	 * +f - full       - See I: line full notices
+	 * +g - callerid   - Server Side Ignore (for privmsgs etc)
+	 * +i - invisible  - Not shown in NAMES or WHO unless you share a 
+	 *                   a channel
+	 * +k - skill      - See server generated KILL messages
+	 * +l - locops     - See LOCOPS messages
+	 * +n - nchange    - See client nick changes
+	 * +r - rej        - See rejected client notices
+	 * +s - servnotice - See general server notices
+	 * +u - unauth     - See unauthorised client notices
+	 * +w - wallop     - See server generated WALLOPS
+	 * +x - external   - See remote server connection and split notices
+	 * +y - spy        - See LINKS, STATS, TRACE notices etc.
+	 * +z - operwall   - See oper generated WALLOPS
+	 * +Z - operspy    - See operspy notices
+	 */
+	 
+	/* oper only umodes: usermodes only opers may set */
+	oper_only_umodes = bots, cconn, debug, full, skill, nchange, 
+                     rej, spy, external, operwall, locops, unauth;
+
+	/* oper umodes: default usermodes opers get when they /oper */
+	oper_umodes = locops, servnotice, operwall, wallop, debug, 
+			external, skill, spy;
+
+	/* servlink path: path to 'servlink' program used by ircd to handle
+	 * encrypted/compressed server <-> server links.
+	 *
+	 * only define if servlink is not in same directory as ircd itself.
+	 */
+	#servlink_path = "/home/meat_30/irc/ratbox/bin/servlink";
+
+ 	/* default cipher: default cipher to use for cryptlink when none is
+	 * specified in connect block.
+	 */
+	default_cipher_preference = "BF/256";
+
+	/* use egd: if your system does not have *random devices yet you
+	 * want to use OpenSSL and encrypted links, enable this.  Beware -
+	 * EGD is *very* CPU intensive when gathering data for its pool
+	 */
+	#use_egd = yes;
+
+	/* egdpool path: path to EGD pool. Not necessary for OpenSSL >= 0.9.7
+	 * which automatically finds the path.
+	 */
+	#egdpool_path = "/var/run/egd-pool";
+
+	/* compression level: level of compression for compressed links between
+	 * servers.  
+	 *
+	 * values are between: 1 (least compression, fastest)
+	 *                and: 9 (most compression, slowest).
+	 */
+	compression_level = 6;
+
+  	/* fallback_to_ip6_int: This enables falling back to using the
+         * ip6.int domain for reverse IPv6 lookups if the lookup for
+  	 * ip6.arpa failed.  This is obviously a feature that should be
+  	 * removed upon the completion of the migration to ip6.arpa
+  	 */
+	#fallback_to_ip6_int = yes;
+};
+
+modules {
+	/* module path: paths to search for modules specified below and 
+	 * in /modload.
+	 */
+	path="/home/alex/bcnet-ircd/modules";
+	path="/home/alex/bcnet-ircd/modules/autoload";
+
+	/* module: the name of a module to load on startup/rehash */
+	#module=some_module.so;
+};
